=== external/pkgconfig/Makefile ===
get:get.c
	gcc -o get `pkg-config --cflags --libs elektra` get.c
