=== debian/changelog ===
elektra (0.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Markus Raab <debian@markus-raab.org>  Sat, 09 Jun 2012 14:13:41 +0200

elektra (0.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Markus Raab <debian@markus-raab.org>  Fri, 04 May 2012 14:31:28 +0200

elektra (0.8.0rc5-1) unstable; urgency=low

  * New upstream version.

 -- Markus Raab <debian@markus-raab.org>  Fri, 04 May 2012 09:36:29 +0200

elektra (0.8.0rc4-1) unstable; urgency=low

  * New upstream version.

 -- Markus Raab <debian@markus-raab.org>  Thu, 03 May 2012 10:00:46 +0200

elektra (0.8.0rc3-1) unstable; urgency=low

  * New upstream version.

 -- Markus Raab <debian@markus-raab.org>  Tue, 01 May 2012 23:15:48 +0200

elektra (0.8.0rc1-1) unstable; urgency=low

  * Elektra 0.8.0 repackaging

 -- Markus Raab <elektra@markus-raab.org>  Thu, 05 Apr 2012 19:01:05 +0200

elektra (0.8.0rc0-1) unstable; urgency=low

  * Elektra 0.8.0 packaging with cmake

 -- Markus Raab <elektra@markus-raab.org>  Wed, 22 Feb 2012 16:42:02 +0100

elektra (0.7.0a1-1) unstable; urgency=low

  * New upstream version.
  * Repackaged using CDBS.
  * Removed menu file, as it makes little sense for kdb(1).

 -- Andreas Rottmann <rotty@debian.org>  Thu, 22 Mar 2007 13:32:59 +0100

elektra (0.5) unstable; urgency=low

  * Split to bin and dev packages.

 -- Pier Luigi Fiorini <pierluigi.fiorini@mockup.org>  Mon, 25 Apr 2005 19:44:10 +0200

elektra (0.4.11-5) unstable; urgency=low

  * Update to 0.4.11-5

 -- Markus Raab <debian@markus-raab.rog>  Fri, 25 Mar 2005 09:35:14 +0100
 

elektra (0.4.7-2) unstable; urgency=low

  * Sarge Integrate and Update to 0.4.7

 -- Markus Raab <markus@superbyte.at>  Thu, 05 Dec 2004 12:55:10 +0200

elektra (0.4.4-2) unstable; urgency=low

  * Updated to current Version

 -- Markus Raab <markus@superbyte.at>  Thu, 23 Sep 2004 12:55:10 +0200

elektra (0.4.4-1) unstable; urgency=low

  * Some Updates

 -- Markus Raab <markus@superbyte.at>  Thu, 23 Sep 2004 12:55:10 +0200

elektra (0.4.2-1) unstable; urgency=low

  * Initial Release.

 -- Markus Raab <markus@superbyte.at>  Thu, 23 Sep 2004 12:55:10 +0200
