=== debian/control ===
Source: elektra
Priority: required
Maintainer: Simon Law <sfllaw@debian.org>
Uploaders: Pier Luigi Fiorini <pierluigi.fiorini@mockup.org>
Build-Depends: debhelper (>= 4.1.0), libxml2-dev, doxygen, libboost-dev, cmake
Standards-Version: 3.7.2
Section: base

Package: libelektra-dev
Section: libdevel
Architecture: any
Depends: libelektra (>= ${Source-Version}), libc6-dev
Description: a framework to get and set configuration
 Elektra provides a universal and secure framework to store
 configuration parameters in a global, hierarchical key database. The
 core is a small library implemented in C. The plugin-based framework
 fulfills many configuration-related tasks to avoid any unnecessary code
 duplication across applications while it still allows the core to stay
 without any external dependency. Elektra abstracts from
 cross-platform-related issues with an consistent API, and allows
 applications to be aware of other applications' configurations,
 leveraging easy application integration.
 .
 This package contains the files needed to compile and link
 programs which use Elektra.
 It also contains the static library.

Package: libelektra
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: a framework to get and set configuration
 Elektra provides a universal and secure framework to store
 configuration parameters in a global, hierarchical key database. The
 core is a small library implemented in C. The plugin-based framework
 fulfills many configuration-related tasks to avoid any unnecessary code
 duplication across applications while it still allows the core to stay
 without any external dependency. Elektra abstracts from
 cross-platform-related issues with an consistent API, and allows
 applications to be aware of other applications' configurations,
 leveraging easy application integration.
 .
 This package contains the core with the set of plugins
 only having dependencies to essential packages.

Package: libelektra-xmltool
Section: libs
Architecture: any
Depends: libelektra (>= ${Source-Version}), ${shlibs:Depends}
Description: a framework to get and set configuration
 Elektra provides a universal and secure framework to store
 configuration parameters in a global, hierarchical key database. The
 core is a small library implemented in C. The plugin-based framework
 fulfills many configuration-related tasks to avoid any unnecessary code
 duplication across applications while it still allows the core to stay
 without any external dependency. Elektra abstracts from
 cross-platform-related issues with an consistent API, and allows
 applications to be aware of other applications' configurations,
 leveraging easy application integration.
 .
 This package contains plugins not included directly
 in libelektra2: xmltool.

Package: libelektra-full
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: a framework to get and set configuration
 Elektra provides a universal and secure framework to store
 configuration parameters in a global, hierarchical key database. The
 core is a small library implemented in C. The plugin-based framework
 fulfills many configuration-related tasks to avoid any unnecessary code
 duplication across applications while it still allows the core to stay
 without any external dependency. Elektra abstracts from
 cross-platform-related issues with an consistent API, and allows
 applications to be aware of other applications' configurations,
 leveraging easy application integration.
 .
 This package contains a library with all plugins linked together.

Package: libelektra-bin
Section: admin
Architecture: any
Depends: libelektra (>= ${Source-Version}), ${shlibs:Depends}
Description:a framework to get and set configuration
 Elektra provides a universal and secure framework to store
 configuration parameters in a global, hierarchical key database. The
 core is a small library implemented in C. The plugin-based framework
 fulfills many configuration-related tasks to avoid any unnecessary code
 duplication across applications while it still allows the core to stay
 without any external dependency. Elektra abstracts from
 cross-platform-related issues with an consistent API, and allows
 applications to be aware of other applications' configurations,
 leveraging easy application integration.
 .
 This package contains the Elektra kdb program.
